Package Details: gactions 2.2.4-1

Git Clone URL: https://aur.archlinux.org/gactions.git (read-only, click to copy)
Package Base: gactions
Description: The command line interface that you use to test and update your app for the Google Assistant.
Upstream URL: https://developers.google.com/actions/tools/gactions-cli
Submitter: kylesferrazza
Maintainer: kylesferrazza
Last Packager: kylesferrazza
Votes: 3
Popularity: 0.000000
First Submitted: 2017-10-05 22:05
Last Updated: 2019-12-23 00:29

Dependencies (0)

Required by (0)

Sources (1)

Latest Comments

kylesferrazza commented on 2019-12-23 00:30

Thank you @demon012, the package has been updated.

demon012 commented on 2019-12-21 11:39

Hey Kyle,

Unfortunately the URL you are using to download the latest version isn't being kept up to date by Google which is resulting in the auto update system in gactions immediately saying it is out of date and refusing to allow use of the tool.

I did some research using mitmproxy and found the download link that the built in update tool uses. Here is an updated PKGBUILD for you:

# Maintainer: Kyle Sferrazza <kyle.sferrazza@gmail.com>
# Contributor: Alan Jenkins <alan.james.jenkins@gmail.com>

pkgname=gactions
pkgver=2.2.4
pkgrel=1
pkgdesc="The command line interface that you use to test and update your app for the Google Assistant."
arch=('x86_64')
url="https://developers.google.com/actions/tools/gactions-cli"
source=($pkgname-$pkgver::https://dl.google.com/gactions/updates/bin_linux_amd64_${pkgver}_dev.bin)
md5sums=('d315c973ceeca610d131027c1f573570')

build() {
  chmod +x $pkgname-$pkgver
}

package() {
  mkdir -p $pkgdir/usr/bin/
  install -m 0755 $pkgname-$pkgver $pkgdir/usr/bin/$pkgname
}

If you want to get the latest URL that the tool will get you can run this command:

curl -s https://dl.google.com/gactions/updates.json | jq '.[-1].Binaries[] | select(.OS=="linux") | select(.Arch=="amd64").URL'

This is the command for fetching the current latest version number:

curl -s https://dl.google.com/gactions/updates.json | jq '.[-1].Version'

Thanks,

Alan Jenkins

kylesferrazza commented on 2017-10-11 19:41

@tad
New version came out recently, please try again.

tad commented on 2017-10-11 19:35

==> Validating source files with md5sums...
gactions ... FAILED
==> ERROR: One or more files did not pass the validity check!